diff --git a/base/server/python/pki/server/deployment/scriptlets/subsystem_layout.py b/base/server/python/pki/server/deployment/scriptlets/subsystem_layout.py
index 8aae3f6c614db9f2b64b3e5becfdfafcff6389ce..c257129c44a527dfad945d08dd9dd3d99923378e 100644
--- a/base/server/python/pki/server/deployment/scriptlets/subsystem_layout.py
+++ b/base/server/python/pki/server/deployment/scriptlets/subsystem_layout.py
@@ -31,73 +31,73 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
 
     def spawn(self, deployer):
 
-        if config.str2bool(deployer.master_dict['pki_skip_installation']):
+        if config.str2bool(deployer.mdict['pki_skip_installation']):
             config.pki_log.info(log.SKIP_SUBSYSTEM_SPAWN_1, __name__,
                                 extra=config.PKI_INDENTATION_LEVEL_1)
             return self.rv
         config.pki_log.info(log.SUBSYSTEM_SPAWN_1, __name__,
                             extra=config.PKI_INDENTATION_LEVEL_1)
         # establish instance-based subsystem logs
-        deployer.directory.create(deployer.master_dict['pki_subsystem_log_path'])
-        deployer.directory.create(deployer.master_dict['pki_subsystem_archive_log_path'])
-        if deployer.master_dict['pki_subsystem'] in config.PKI_SIGNED_AUDIT_SUBSYSTEMS:
-            deployer.directory.create(deployer.master_dict['pki_subsystem_signed_audit_log_path'])
+        deployer.directory.create(deployer.mdict['pki_subsystem_log_path'])
+        deployer.directory.create(deployer.mdict['pki_subsystem_archive_log_path'])
+        if deployer.mdict['pki_subsystem'] in config.PKI_SIGNED_AUDIT_SUBSYSTEMS:
+            deployer.directory.create(deployer.mdict['pki_subsystem_signed_audit_log_path'])
         # establish instance-based subsystem configuration
-        deployer.directory.create(deployer.master_dict['pki_subsystem_configuration_path'])
-        # deployer.directory.copy(deployer.master_dict['pki_source_conf_path'],
-        #                     deployer.master_dict['pki_subsystem_configuration_path'])
+        deployer.directory.create(deployer.mdict['pki_subsystem_configuration_path'])
+        # deployer.directory.copy(deployer.mdict['pki_source_conf_path'],
+        #                     deployer.mdict['pki_subsystem_configuration_path'])
         # establish instance-based Apache/Tomcat specific subsystems
-        if deployer.master_dict['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS:
+        if deployer.mdict['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS:
             # establish instance-based Tomcat PKI subsystem base
-            if deployer.master_dict['pki_subsystem'] == "CA":
-                deployer.directory.copy(deployer.master_dict['pki_source_emails'],
-                                    deployer.master_dict['pki_subsystem_emails_path'])
-                deployer.directory.copy(deployer.master_dict['pki_source_profiles'],
-                                    deployer.master_dict['pki_subsystem_profiles_path'])
+            if deployer.mdict['pki_subsystem'] == "CA":
+                deployer.directory.copy(deployer.mdict['pki_source_emails'],
+                                    deployer.mdict['pki_subsystem_emails_path'])
+                deployer.directory.copy(deployer.mdict['pki_source_profiles'],
+                                    deployer.mdict['pki_subsystem_profiles_path'])
             # establish instance-based Tomcat PKI subsystem logs
             # establish instance-based Tomcat PKI subsystem configuration
-            if deployer.master_dict['pki_subsystem'] == "CA":
-                deployer.file.copy(deployer.master_dict['pki_source_flatfile_txt'],
-                               deployer.master_dict['pki_target_flatfile_txt'])
-                deployer.file.copy(deployer.master_dict['pki_source_registry_cfg'],
-                               deployer.master_dict['pki_target_registry_cfg'])
+            if deployer.mdict['pki_subsystem'] == "CA":
+                deployer.file.copy(deployer.mdict['pki_source_flatfile_txt'],
+                               deployer.mdict['pki_target_flatfile_txt'])
+                deployer.file.copy(deployer.mdict['pki_source_registry_cfg'],
+                               deployer.mdict['pki_target_registry_cfg'])
                 # '*.profile'
-                deployer.file.copy(deployer.master_dict['pki_source_admincert_profile'],
-                               deployer.master_dict['pki_target_admincert_profile'])
-                deployer.file.copy(deployer.master_dict['pki_source_caauditsigningcert_profile'],
-                               deployer.master_dict['pki_target_caauditsigningcert_profile'])
-                deployer.file.copy(deployer.master_dict['pki_source_cacert_profile'],
-                               deployer.master_dict['pki_target_cacert_profile'])
-                deployer.file.copy(deployer.master_dict['pki_source_caocspcert_profile'],
-                               deployer.master_dict['pki_target_caocspcert_profile'])
-                deployer.file.copy(deployer.master_dict['pki_source_servercert_profile'],
-                               deployer.master_dict['pki_target_servercert_profile'])
-                deployer.file.copy(deployer.master_dict['pki_source_subsystemcert_profile'],
-                               deployer.master_dict['pki_target_subsystemcert_profile'])
-            elif deployer.master_dict['pki_subsystem'] == "KRA":
+                deployer.file.copy(deployer.mdict['pki_source_admincert_profile'],
+                               deployer.mdict['pki_target_admincert_profile'])
+                deployer.file.copy(deployer.mdict['pki_source_caauditsigningcert_profile'],
+                               deployer.mdict['pki_target_caauditsigningcert_profile'])
+                deployer.file.copy(deployer.mdict['pki_source_cacert_profile'],
+                               deployer.mdict['pki_target_cacert_profile'])
+                deployer.file.copy(deployer.mdict['pki_source_caocspcert_profile'],
+                               deployer.mdict['pki_target_caocspcert_profile'])
+                deployer.file.copy(deployer.mdict['pki_source_servercert_profile'],
+                               deployer.mdict['pki_target_servercert_profile'])
+                deployer.file.copy(deployer.mdict['pki_source_subsystemcert_profile'],
+                               deployer.mdict['pki_target_subsystemcert_profile'])
+            elif deployer.mdict['pki_subsystem'] == "KRA":
                 # '*.profile'
-                deployer.file.copy(deployer.master_dict['pki_source_servercert_profile'],
-                               deployer.master_dict['pki_target_servercert_profile'])
-                deployer.file.copy(deployer.master_dict['pki_source_storagecert_profile'],
-                               deployer.master_dict['pki_target_storagecert_profile'])
-                deployer.file.copy(deployer.master_dict['pki_source_subsystemcert_profile'],
-                               deployer.master_dict['pki_target_subsystemcert_profile'])
-                deployer.file.copy(deployer.master_dict['pki_source_transportcert_profile'],
-                               deployer.master_dict['pki_target_transportcert_profile'])
+                deployer.file.copy(deployer.mdict['pki_source_servercert_profile'],
+                               deployer.mdict['pki_target_servercert_profile'])
+                deployer.file.copy(deployer.mdict['pki_source_storagecert_profile'],
+                               deployer.mdict['pki_target_storagecert_profile'])
+                deployer.file.copy(deployer.mdict['pki_source_subsystemcert_profile'],
+                               deployer.mdict['pki_target_subsystemcert_profile'])
+                deployer.file.copy(deployer.mdict['pki_source_transportcert_profile'],
+                               deployer.mdict['pki_target_transportcert_profile'])
             # establish instance-based Tomcat PKI subsystem registry
             # establish instance-based Tomcat PKI subsystem convenience
             # symbolic links
-            deployer.symlink.create(deployer.master_dict['pki_tomcat_webapps_path'],
-                                deployer.master_dict['pki_subsystem_tomcat_webapps_link'])
+            deployer.symlink.create(deployer.mdict['pki_tomcat_webapps_path'],
+                                deployer.mdict['pki_subsystem_tomcat_webapps_link'])
         # establish instance-based subsystem convenience symbolic links
-        deployer.symlink.create(deployer.master_dict['pki_instance_database_link'],
-                            deployer.master_dict['pki_subsystem_database_link'])
-        deployer.symlink.create(deployer.master_dict['pki_subsystem_configuration_path'],
-                            deployer.master_dict['pki_subsystem_conf_link'])
-        deployer.symlink.create(deployer.master_dict['pki_subsystem_log_path'],
-                            deployer.master_dict['pki_subsystem_logs_link'])
-        deployer.symlink.create(deployer.master_dict['pki_instance_registry_path'],
-                            deployer.master_dict['pki_subsystem_registry_link'])
+        deployer.symlink.create(deployer.mdict['pki_instance_database_link'],
+                            deployer.mdict['pki_subsystem_database_link'])
+        deployer.symlink.create(deployer.mdict['pki_subsystem_configuration_path'],
+                            deployer.mdict['pki_subsystem_conf_link'])
+        deployer.symlink.create(deployer.mdict['pki_subsystem_log_path'],
+                            deployer.mdict['pki_subsystem_logs_link'])
+        deployer.symlink.create(deployer.mdict['pki_instance_registry_path'],
+                            deployer.mdict['pki_subsystem_registry_link'])
         return self.rv
 
     def destroy(self, deployer):
@@ -105,17 +105,17 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
         config.pki_log.info(log.SUBSYSTEM_DESTROY_1, __name__,
                             extra=config.PKI_INDENTATION_LEVEL_1)
         # remove instance-based subsystem base
-        if deployer.master_dict['pki_subsystem'] == "CA":
-            deployer.directory.delete(deployer.master_dict['pki_subsystem_emails_path'])
-            deployer.directory.delete(deployer.master_dict['pki_subsystem_profiles_path'])
-        deployer.directory.delete(deployer.master_dict['pki_subsystem_path'])
+        if deployer.mdict['pki_subsystem'] == "CA":
+            deployer.directory.delete(deployer.mdict['pki_subsystem_emails_path'])
+            deployer.directory.delete(deployer.mdict['pki_subsystem_profiles_path'])
+        deployer.directory.delete(deployer.mdict['pki_subsystem_path'])
         # remove instance-based subsystem logs
-        if deployer.master_dict['pki_subsystem'] in config.PKI_SIGNED_AUDIT_SUBSYSTEMS:
-            deployer.directory.delete(deployer.master_dict['pki_subsystem_signed_audit_log_path'])
-        deployer.directory.delete(deployer.master_dict['pki_subsystem_archive_log_path'])
-        deployer.directory.delete(deployer.master_dict['pki_subsystem_log_path'])
+        if deployer.mdict['pki_subsystem'] in config.PKI_SIGNED_AUDIT_SUBSYSTEMS:
+            deployer.directory.delete(deployer.mdict['pki_subsystem_signed_audit_log_path'])
+        deployer.directory.delete(deployer.mdict['pki_subsystem_archive_log_path'])
+        deployer.directory.delete(deployer.mdict['pki_subsystem_log_path'])
         # remove instance-based subsystem configuration
-        deployer.directory.delete(deployer.master_dict['pki_subsystem_configuration_path'])
+        deployer.directory.delete(deployer.mdict['pki_subsystem_configuration_path'])
         # remove instance-based subsystem registry
-        deployer.directory.delete(deployer.master_dict['pki_subsystem_registry_path'])
+        deployer.directory.delete(deployer.mdict['pki_subsystem_registry_path'])
         return self.rv
diff --git a/base/server/python/pki/server/deployment/scriptlets/webapp_deployment.py b/base/server/python/pki/server/deployment/scriptlets/webapp_deployment.py
index 0f529a9a26fe25ce0a995a01b6a7f2a10a6b00a2..83884775408016de87c2ba90ad3f86eea8a2673d 100644
--- a/base/server/python/pki/server/deployment/scriptlets/webapp_deployment.py
+++ b/base/server/python/pki/server/deployment/scriptlets/webapp_deployment.py
@@ -34,8 +34,8 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
 
     def spawn(self, deployer):
 
-        if deployer.master_dict['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS:
-            if config.str2bool(deployer.master_dict['pki_skip_installation']):
+        if deployer.mdict['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS:
+            if config.str2bool(deployer.mdict['pki_skip_installation']):
                 config.pki_log.info(log.SKIP_WEBAPP_DEPLOYMENT_SPAWN_1,
                                      __name__,
                                     extra=config.PKI_INDENTATION_LEVEL_1)
@@ -45,7 +45,7 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
                                 extra=config.PKI_INDENTATION_LEVEL_1)
 
             # For TPS, deploy web application directly from /usr/share/pki.
-            if deployer.master_dict['pki_subsystem'] == "TPS":
+            if deployer.mdict['pki_subsystem'] == "TPS":
                 deployer.file.copy(
                     os.path.join(
                         config.PKI_DEPLOYMENT_SOURCE_ROOT,
@@ -55,24 +55,24 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
                         "localhost",
                         "tps.xml"),
                     os.path.join(
-                        deployer.master_dict['pki_instance_configuration_path'],
+                        deployer.mdict['pki_instance_configuration_path'],
                         "Catalina",
                         "localhost",
                         "tps.xml"))
                 return self.rv
 
             # For other subsystems, deploy web application into Tomcat instance.
-            deployer.directory.create(deployer.master_dict['pki_tomcat_webapps_subsystem_path'])
+            deployer.directory.create(deployer.mdict['pki_tomcat_webapps_subsystem_path'])
 
             # Copy /usr/share/pki/<subsystem>/webapps/<subsystem>
             # to <instance>/webapps/<subsystem>
             deployer.directory.copy(
                 os.path.join(
                     config.PKI_DEPLOYMENT_SOURCE_ROOT,
-                    deployer.master_dict['pki_subsystem'].lower(),
+                    deployer.mdict['pki_subsystem'].lower(),
                     "webapps",
-                    deployer.master_dict['pki_subsystem'].lower()),
-                deployer.master_dict['pki_tomcat_webapps_subsystem_path'],
+                    deployer.mdict['pki_subsystem'].lower()),
+                deployer.mdict['pki_tomcat_webapps_subsystem_path'],
                 overwrite_flag=True)
 
             # Copy /usr/share/pki/server/webapps/pki/admin
@@ -86,42 +86,42 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
                     "pki",
                     "admin"),
                 os.path.join(
-                    deployer.master_dict['pki_tomcat_webapps_subsystem_path'],
+                    deployer.mdict['pki_tomcat_webapps_subsystem_path'],
                     "admin"),
                 overwrite_flag=True)
 
             deployer.directory.create(
-                deployer.master_dict['pki_tomcat_webapps_subsystem_webinf_classes_path'])
+                deployer.mdict['pki_tomcat_webapps_subsystem_webinf_classes_path'])
             deployer.directory.create(
-                deployer.master_dict['pki_tomcat_webapps_subsystem_webinf_lib_path'])
+                deployer.mdict['pki_tomcat_webapps_subsystem_webinf_lib_path'])
             # establish Tomcat webapps subsystem WEB-INF lib symbolic links
-            deployer.symlink.create(deployer.master_dict['pki_certsrv_jar'],
-                deployer.master_dict['pki_certsrv_jar_link'])
-            deployer.symlink.create(deployer.master_dict['pki_cmsbundle'],
-                deployer.master_dict['pki_cmsbundle_jar_link'])
-            deployer.symlink.create(deployer.master_dict['pki_cmscore'],
-                deployer.master_dict['pki_cmscore_jar_link'])
-            deployer.symlink.create(deployer.master_dict['pki_cms'],
-                deployer.master_dict['pki_cms_jar_link'])
-            deployer.symlink.create(deployer.master_dict['pki_cmsutil'],
-                deployer.master_dict['pki_cmsutil_jar_link'])
-            deployer.symlink.create(deployer.master_dict['pki_nsutil'],
-                deployer.master_dict['pki_nsutil_jar_link'])
-            if deployer.master_dict['pki_subsystem'] == "CA":
-                deployer.symlink.create(deployer.master_dict['pki_ca_jar'],
-                                    deployer.master_dict['pki_ca_jar_link'])
-            elif deployer.master_dict['pki_subsystem'] == "KRA":
-                deployer.symlink.create(deployer.master_dict['pki_kra_jar'],
-                                    deployer.master_dict['pki_kra_jar_link'])
-            elif deployer.master_dict['pki_subsystem'] == "OCSP":
-                deployer.symlink.create(deployer.master_dict['pki_ocsp_jar'],
-                                    deployer.master_dict['pki_ocsp_jar_link'])
-            elif deployer.master_dict['pki_subsystem'] == "TKS":
-                deployer.symlink.create(deployer.master_dict['pki_tks_jar'],
-                                    deployer.master_dict['pki_tks_jar_link'])
+            deployer.symlink.create(deployer.mdict['pki_certsrv_jar'],
+                deployer.mdict['pki_certsrv_jar_link'])
+            deployer.symlink.create(deployer.mdict['pki_cmsbundle'],
+                deployer.mdict['pki_cmsbundle_jar_link'])
+            deployer.symlink.create(deployer.mdict['pki_cmscore'],
+                deployer.mdict['pki_cmscore_jar_link'])
+            deployer.symlink.create(deployer.mdict['pki_cms'],
+                deployer.mdict['pki_cms_jar_link'])
+            deployer.symlink.create(deployer.mdict['pki_cmsutil'],
+                deployer.mdict['pki_cmsutil_jar_link'])
+            deployer.symlink.create(deployer.mdict['pki_nsutil'],
+                deployer.mdict['pki_nsutil_jar_link'])
+            if deployer.mdict['pki_subsystem'] == "CA":
+                deployer.symlink.create(deployer.mdict['pki_ca_jar'],
+                                    deployer.mdict['pki_ca_jar_link'])
+            elif deployer.mdict['pki_subsystem'] == "KRA":
+                deployer.symlink.create(deployer.mdict['pki_kra_jar'],
+                                    deployer.mdict['pki_kra_jar_link'])
+            elif deployer.mdict['pki_subsystem'] == "OCSP":
+                deployer.symlink.create(deployer.mdict['pki_ocsp_jar'],
+                                    deployer.mdict['pki_ocsp_jar_link'])
+            elif deployer.mdict['pki_subsystem'] == "TKS":
+                deployer.symlink.create(deployer.mdict['pki_tks_jar'],
+                                    deployer.mdict['pki_tks_jar_link'])
 
             # set ownerships, permissions, and acls
-            deployer.directory.set_mode(deployer.master_dict['pki_tomcat_webapps_subsystem_path'])
+            deployer.directory.set_mode(deployer.mdict['pki_tomcat_webapps_subsystem_path'])
 
             # Copy web application context file
             # from /usr/share/pki/<subsystem>/conf/Catalina/localhost/<subsystem>.xml
@@ -129,34 +129,34 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
             deployer.file.copy(
                 os.path.join(
                     config.PKI_DEPLOYMENT_SOURCE_ROOT,
-                    deployer.master_dict['pki_subsystem'].lower(),
+                    deployer.mdict['pki_subsystem'].lower(),
                     "conf",
                     "Catalina",
                     "localhost",
-                    deployer.master_dict['pki_subsystem'].lower() + ".xml"),
+                    deployer.mdict['pki_subsystem'].lower() + ".xml"),
                 os.path.join(
-                    deployer.master_dict['pki_instance_configuration_path'],
+                    deployer.mdict['pki_instance_configuration_path'],
                     "Catalina",
                     "localhost",
-                    deployer.master_dict['pki_subsystem'].lower() + ".xml"))
+                    deployer.mdict['pki_subsystem'].lower() + ".xml"))
 
         return self.rv
 
     def destroy(self, deployer):
-        if deployer.master_dict['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS:
+        if deployer.mdict['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS:
             config.pki_log.info(log.WEBAPP_DEPLOYMENT_DESTROY_1, __name__,
                                 extra=config.PKI_INDENTATION_LEVEL_1)
 
             # Delete <instance>/conf/Catalina/localhost/<subsystem>.xml
             deployer.file.delete(
                 os.path.join(
-                    deployer.master_dict['pki_instance_configuration_path'],
+                    deployer.mdict['pki_instance_configuration_path'],
                     "Catalina",
                     "localhost",
-                    deployer.master_dict['pki_subsystem'].lower() + ".xml"))
+                    deployer.mdict['pki_subsystem'].lower() + ".xml"))
 
             # For subsystems other than TPS, delete <instance>/webapps/<subsystem>.
-            if deployer.master_dict['pki_subsystem'] != "TPS":
-                deployer.directory.delete(deployer.master_dict['pki_tomcat_webapps_subsystem_path'])
+            if deployer.mdict['pki_subsystem'] != "TPS":
+                deployer.directory.delete(deployer.mdict['pki_tomcat_webapps_subsystem_path'])
 
         return self.rv
diff --git a/base/server/sbin/pkidestroy b/base/server/sbin/pkidestroy
index 16479f9fd13a8710fc0d31fbbdaafa43bbbfd5ee..e9eadf9bafc5ba4a5d741af2105bed07961fa398 100755
--- a/base/server/sbin/pkidestroy
+++ b/base/server/sbin/pkidestroy
@@ -230,18 +230,18 @@ def main(argv):
 
     # Combine the various sectional dictionaries into a PKI master dictionary
     parser.compose_pki_master_dictionary()
-    parser.pki_master_dict['pki_destroy_log'] = config.pki_log_dir + "/" +\
+    parser.mdict['pki_destroy_log'] = config.pki_log_dir + "/" +\
                                                 config.pki_log_name
     config.pki_log.debug(log.PKI_DICTIONARY_MASTER,
                          extra=config.PKI_INDENTATION_LEVEL_0)
-    config.pki_log.debug(pkilogging.log_format(parser.pki_master_dict),
+    config.pki_log.debug(pkilogging.log_format(parser.mdict),
                          extra=config.PKI_INDENTATION_LEVEL_0)
 
     print "Uninstalling " + config.pki_subsystem + " from " + deployed_pki_instance_path + "."
 
     # Process the various "scriptlets" to remove the specified PKI subsystem.
-    pki_subsystem_scriptlets = parser.pki_master_dict['destroy_scriplets'].split()
-    deployer = util.PKIDeployer(parser.pki_master_dict)
+    pki_subsystem_scriptlets = parser.mdict['destroy_scriplets'].split()
+    deployer = util.PKIDeployer(parser.mdict)
     rv = 0
     for pki_scriptlet in pki_subsystem_scriptlets:
         scriptlet = __import__("pki.server.deployment.scriptlets." +
@@ -253,7 +253,7 @@ def main(argv):
             sys.exit(1)
     config.pki_log.debug(log.PKI_DICTIONARY_MASTER,
                          extra=config.PKI_INDENTATION_LEVEL_0)
-    config.pki_log.debug(pkilogging.log_format(parser.pki_master_dict),
+    config.pki_log.debug(pkilogging.log_format(parser.mdict),
                          extra=config.PKI_INDENTATION_LEVEL_0)
 
     print
